'==============================================================================
' Copyright  Micromega Corporation 2004-2009. All rights reserved.
'
' @file		template-i2c.bsp
' @target	BasicATOM
'
' This file contains a program template for using the uM-FPU V3 floating point
' coprocessor with the BasicATOM with an I2C interface. It can be used as a
' template for new programs, or the necessary parts can be copied to an existing
' program.
'
' @author Cam Thompson, Micromega Corporation
' @version
'	December 23, 2009
'	- updated for BMIDE 1.0.0.15, I2C syntax change
'	November 18, 2009
'	- ported to BasicATOM
'==============================================================================

'-------------------- include uM-FPU V3 support code --------------------------

#include "C:\My BasicATOM\fpuv3-i2c.bas"

;=============================================================================
;-------------------- main routine -------------------------------------------
;=============================================================================

Main:
	serout S_OUT, I19200, [13, 13, "Template", 13]

	gosub Fpu_Reset						' reset the FPU hardware
	if fpu_status <> SYNC_CHAR then
		serout S_OUT, I19200, ["uM-FPU not detected: ", hex fpu_status]
		end
	else
		gosub Print_Version				' display the uM-FPU version number
		serout S_OUT, I19200, [13]
	endif

'	(insert program code here.)
'	e.g.
'	i2cout Fpu_SDA, Fpu_SCL, Fpu_ID, [0, SELECTA, 1]

Done:
	serout S_OUT, I19200, [13, "Done.", 13]
	end

